Name:		epdfview
Version:	0.1.8
Release:	5%{?dist}
Summary:	Lightweight PDF document viewer

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://trac.emma-soft.com/epdfview
Source0:	http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
Patch0:		epdfview-0.1.8-swap-colors-with-poppler-0.18.patch

BuildRequires:	poppler-glib-devel
BuildRequires:	gtk2-devel glib2-devel cups-devel
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf automake libtool gettext

%description
ePDFView is a lightweight PDF document viewer using Poppler and GTK+ libraries.
The aim of ePDFView is to make a simple PDF document viewer, in the lines of
Evince but without using the Gnome libraries.

%prep
%setup -q
%patch0 -p0

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=fedora \
	--delete-original \
	--remove-category Office \
	--add-category Graphics \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

install -dm 755 %{buildroot}/%{_datadir}/pixmaps
pushd %{buildroot}/%{_datadir}/pixmaps
ln -s ../%{name}/pixmaps/icon_epdfview-48.png .
popd

%find_lang %{name}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc AUTHORS COPYING README NEWS THANKS
%{_datadir}/applications/*%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui
%{_datadir}/pixmaps/icon_epdfview-48.png
%{_mandir}/man*/*

%changelog
* Wed Oct 19 2011 Michal Schmidt <mschmidt@redhat.com> - 0.1.8-5
- Apply a patch from SVN to fix colors of pictures with poppler 0.18.
- Fixes: BZ#745483

* Mon Oct  3 2011 Marek Kasik <mkasik@redhat.com> - 0.1.8-4
- Rebuild (poppler-0.18.0 stable)

* Wed Sep 21 2011 Marek Kasik <mkasik@redhat.com> - 0.1.8-3
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.1.8-2
- Rebuild (poppler-0.17.0)

* Thu Jun 02 2011 Michal Schmidt <mschmidt@redhat.com> - 0.1.8-1
- Update to the offical 0.1.8 release.
- Remove buildroot cleaning.

* Wed May 18 2011 Michal Schmidt <mschmidt@redhat.com> - 0.1.8-0.2.20110504svn
- Don't forget to package the man page.

* Wed May 04 2011 Michal Schmidt <mschmidt@redhat.com> - 0.1.8-0.1.20110504svn
- Take the latest SVN rev for compatibility with poppler 0.17 (RHBZ#698156)
- Drop epdfview-poppler-0.15.patch.
- A new upstream release is coming soon, use 0.1.8 for Version already.
- Use xz instead of bz2.

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.1.7-13.20100621svn
- Rebuild (poppler-0.16.3)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-12.20100621svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.1.7-11.20100621svn
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.7-10.20100621svn
- rebuild (poppler)

* Sat Nov 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.7-9.20100621svn
- rebuilt (poppler)

* Fri Oct 01 2010 Michal Schmidt <mschmidt@redhat.com> 0.1.7-8.20100621svn
- Add support for poppler >= 0.15.0.

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.7-7.20100621svn
- rebuild (poppler)

* Mon Jun 21 2010 Michal Schmidt <mschmidt@redhat.com> 0.1.7-6.20100621svn
- New SVN rev.
- Merged upstream: epdfview-fix-scrolling-hotkeys.patch
- Drop fc8 compatibility.

* Tue Mar 02 2010 Michal Schmidt <mschmidt@redhat.com> 0.1.7-5.20100302svn
- New SVN rev.
- Merged upstream: epdfview-button-state-after-reload.patch
- Fix hotkeys Enter and BackSpace (add epdfview-fix-scrolling-hotkeys.patch).

* Mon Mar 01 2010 Michal Schmidt <mschmidt@redhat.com> 0.1.7-4.20100226svn
- Fix buttons' sensitivity after document reload (bz568973).

* Fri Feb 26 2010 Michal Schmidt <mschmidt@redhat.com> 0.1.7-3.20100226svn
- Update to current SVN snapshot to get bugfixes (bz568592).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 26 2009 Michal Schmidt <mschmidt@redhat.com> - 0.1.7-1
- Upstream release 0.1.7.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8.20081217svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-7.20081217svn
- Add icon.

* Wed Dec 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-6.20081217svn
- Rebased to current svn snapshot.
- Fixes bz476575 "epdfview crashes on print pdf".  

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.1.6-5
- rebuild for dependencies

* Fri Aug 31 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-4
- Fix build with the new RPM.

* Fri Mar 21 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-3
- Rebuild with new poppler.

* Fri Feb 15 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-2
- Use standard scriptlets for updating desktop-database.
- Conditional buildreqs to build on F8 too.
- Preserve timestamps of unmodified files.

* Wed Feb 13 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-1
- Initial Fedora package.
